package com.hzya.frame.sys.proofDetail.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 凭证明细  entity
 * @tableName: sys_proof_detail
 * @entityName: ProofDetailEntity
 * @author: gjh
 * @history: 1.0
 */
public class ProofDetailEntity extends BaseEntity {


    /**
     * voucherid
     */
    private int voucher_id;
    /**
     * formmain_id
     */
    private String formmain_id;
    /**
     * 摘要
     */
    private String abstract_msg;
    /**
     * 科目
     */
    private String subject;
    /**
     * 项目
     */
    private String project;
    /**
     * 项目显示
     */
    private String project_flag;
    /**
     * 供应商
     */
    private String supplier;
    /**
     * 供应商显示
     */
    private String supplier_flag;
    /**
     * 客户
     */
    private String client;
    /**
     * 客户显示
     */
    private String client_flag;
    /**
     * 业务员
     */
    private String salesman;
    /**
     * 业务员显示
     */
    private String salesman_flag;
    /**
     * 部门
     */
    private String section;
    /**
     * 部门显示
     */
    private String section_flag;
    /**
     * 贷方金额
     */
    private BigDecimal credit_amount;
    /**
     * 借方金额
     */
    private BigDecimal debit_amount;
    /**
     * 方向
     */
    private String direction;
    /**
     * 排序
     */
    private Long sorts;
    /**
     * 组织机构ID
     */
    private String org_id;


    /**
     * formmain_id
     */
    public void setFormmain_id(String formmain_id) {
        this.formmain_id = formmain_id;
    }

    /**
     * formmain_id
     */
    public String getFormmain_id() {
        return formmain_id;
    }


    /**
     * 摘要
     */
    public void setAbstract_msg(String abstract_msg) {
        this.abstract_msg = abstract_msg;
    }

    /**
     * 摘要
     */
    public String getAbstract_msg() {
        return abstract_msg;
    }


    /**
     * 科目
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    /**
     * 科目
     */
    public String getSubject() {
        return subject;
    }


    /**
     * 项目
     */
    public void setProject(String project) {
        this.project = project;
    }

    /**
     * 项目
     */
    public String getProject() {
        return project;
    }


    /**
     * 项目显示
     */
    public void setProject_flag(String project_flag) {
        this.project_flag = project_flag;
    }

    /**
     * 项目显示
     */
    public String getProject_flag() {
        return project_flag;
    }


    /**
     * 供应商
     */
    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    /**
     * 供应商
     */
    public String getSupplier() {
        return supplier;
    }


    /**
     * 供应商显示
     */
    public void setSupplier_flag(String supplier_flag) {
        this.supplier_flag = supplier_flag;
    }

    /**
     * 供应商显示
     */
    public String getSupplier_flag() {
        return supplier_flag;
    }


    /**
     * 客户
     */
    public void setClient(String client) {
        this.client = client;
    }

    /**
     * 客户
     */
    public String getClient() {
        return client;
    }


    /**
     * 客户显示
     */
    public void setClient_flag(String client_flag) {
        this.client_flag = client_flag;
    }

    /**
     * 客户显示
     */
    public String getClient_flag() {
        return client_flag;
    }


    /**
     * 业务员
     */
    public void setSalesman(String salesman) {
        this.salesman = salesman;
    }

    /**
     * 业务员
     */
    public String getSalesman() {
        return salesman;
    }


    /**
     * 业务员显示
     */
    public void setSalesman_flag(String salesman_flag) {
        this.salesman_flag = salesman_flag;
    }

    /**
     * 业务员显示
     */
    public String getSalesman_flag() {
        return salesman_flag;
    }


    /**
     * 部门
     */
    public void setSection(String section) {
        this.section = section;
    }

    /**
     * 部门
     */
    public String getSection() {
        return section;
    }


    /**
     * 部门显示
     */
    public void setSection_flag(String section_flag) {
        this.section_flag = section_flag;
    }

    /**
     * 部门显示
     */
    public String getSection_flag() {
        return section_flag;
    }


    /**
     * 贷方金额
     */
    public void setCredit_amount(BigDecimal credit_amount) {
        this.credit_amount = credit_amount;
    }

    /**
     * 贷方金额
     */
    public BigDecimal getCredit_amount() {
        return credit_amount;
    }


    /**
     * 借方金额
     */
    public void setDebit_amount(BigDecimal debit_amount) {
        this.debit_amount = debit_amount;
    }

    /**
     * 借方金额
     */
    public BigDecimal getDebit_amount() {
        return debit_amount;
    }


    /**
     * 方向
     */
    public void setDirection(String direction) {
        this.direction = direction;
    }

    /**
     * 方向
     */
    public String getDirection() {
        return direction;
    }


    /**
     * 排序
     */
    public void setSorts(Long sorts) {
        this.sorts = sorts;
    }

    /**
     * 排序
     */
    public Long getSorts() {
        return sorts;
    }


    /**
     * 组织机构ID
     */
    @Override
    public void setOrg_id(String org_id) {
        this.org_id = org_id;
    }

    /**
     * 组织机构ID
     */
    @Override
    public String getOrg_id() {
        return org_id;
    }

    public int getVoucher_id() {
        return voucher_id;
    }

    public void setVoucher_id(int voucher_id) {
        this.voucher_id = voucher_id;
    }
}
